> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# File Tax Document



## OpenAPI

````yaml api-reference/openapi-account.json PATCH /account/{account_id}/tax_document/{id}
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /account/{account_id}/tax_document/{id}:
    patch:
      tags:
        - Account Documents
      summary: File Tax Document
      parameters:
        - description: Account ID
          in: path
          name: account_id
          required: true
          schema:
            description: Account ID
            type: string
        - description: Tax Document ID
          in: path
          name: id
          required: true
          schema:
            description: Tax Document ID
            type: string
      requestBody:
        content:
          application/json:
            examples:
              example:
                summary: Success
                value:
                  id: taxdoc_abc456
                  status: filed
            schema:
              properties:
                account_id:
                  description: Account ID
                  type: string
                skip_tin_verification:
                  description: >-
                    Boolean indicating whether TIN verification should be
                    skipped when filing the tax document. When tax filing is
                    triggered, TIN verification is run before the document is
                    sent to the agency for filing. TIN verification checks that
                    the TIN and name of the payee on tax document match to avoid
                    failures after sending to the IRS. TIN verification
                    typically takes 24 hours. When this flag is true, TIN
                    verification is skipped and filing of the tax document is
                    immediately triggered.
                  enum:
                    - 'true'
                    - 'false'
                  type: string
                status:
                  description: Status of the tax document
                  type: string
        description: The account.tax_document.update to update
        required: true
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    account_id: acct_2074732992
                    is_correction: false
                    status: pending
                    type: '1099'
                    year: '2024'
              schema:
                properties: {}
          description: The account.tax_document.update updated
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````